package de.towerdefence.server.server.channels.match.hitpoints;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.JsonNodeFactory;
import de.towerdefence.server.server.JsonMessage;
import lombok.AllArgsConstructor;

import java.util.Map;

@AllArgsConstructor
public class PlayerHitpointsMessage extends JsonMessage {

    private final int playerHitpoints;
    @Override
    protected String getMessageId() {
        return "PlayerHitpoints";
    }

    @Override
    protected Map<String, JsonNode> getData(JsonNodeFactory factory) {
        return Map.of(
            "playerHitpoints", factory.numberNode(this.playerHitpoints)
        );
    }
}
